#ifndef __GWT_PLOT_ADJUSTMENT_H__
#define __GWT_PLOT_ADJUSTMENT_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GWT_TYPE_PLOT_ADJUSTMENT		(gwt_plot_adjustment_get_type ())
#define GWT_PLOT_ADJUSTMENT(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), GWT_TYPE_PLOT_ADJUSTMENT, GwtPlotAdjustment))
#define GWT_PLOT_ADJUSTMENT_CLASS(obj)		(G_TYPE_CHECK_CLASS_CAST ((obj), GWT_TYPE_PLOT_ADJUSTMENT, GwtPlotAdjustmentClass))
#define GWT_IS_PLOT_ADJUSTMENT(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GWT_TYPE_PLOT_ADJUSTMENT))
#define GWT_IS_PLOT_ADJUSTMENT_CLASS(obj)	(G_TYPE_CHECK_CLASS_TYPE ((obj), GWT_TYPE_PLOT_ADJUSTMENT))
#define GWT_PLOT_ADJUSTMENT_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GWT_TYPE_PLOT_ADJUSTMENT, GwtPlotAdjustmentClass))

typedef struct _GwtPlotAdjustment	GwtPlotAdjustment;
typedef struct _GwtPlotAdjustmentClass	GwtPlotAdjustmentClass;

typedef enum {
	GWT_PLOT_ADJUSTMENT_TYPE_LIN,
	GWT_PLOT_ADJUSTMENT_TYPE_LOG10,
} GwtPlotAdjustmentType;

struct _GwtPlotAdjustment 
{
	GtkObject parent;
};

struct _GwtPlotAdjustmentClass 
{
	GtkObjectClass parent_class;

	void (* changed)	(GwtPlotAdjustment *adjustment);
};

GType   gwt_plot_adjustment_get_type (void) G_GNUC_CONST;
GtkObject *gwt_plot_adjustment_new (gdouble min, gdouble max);

void gwt_plot_adjustment_set_min_value (GwtPlotAdjustment *adj, gdouble value);
void gwt_plot_adjustment_set_max_value (GwtPlotAdjustment *adj, gdouble value);

void gwt_plot_adjustment_set_start_value (GwtPlotAdjustment *adj, gdouble value);
void gwt_plot_adjustment_set_end_value (GwtPlotAdjustment *adj, gdouble value);

void gwt_plot_adjustment_zoom(GwtPlotAdjustment *adj, gdouble start_value, gdouble end_value);
void gwt_plot_adjustment_move(GwtPlotAdjustment *adj, gdouble delta);

gdouble gwt_plot_adjustment_get_start_value (GwtPlotAdjustment *adj);
gdouble gwt_plot_adjustment_get_end_value (GwtPlotAdjustment *adj);

gdouble gwt_plot_adjustment_get_min_value (GwtPlotAdjustment *adj);
gdouble gwt_plot_adjustment_get_max_value (GwtPlotAdjustment *adj);

void gwt_plot_adjustment_set_device_interval(GwtPlotAdjustment *adj, gint start, gint end);

gdouble gwt_plot_adjustment_device_to_user(GwtPlotAdjustment *adj, gint v);
gint gwt_plot_adjustment_user_to_device(GwtPlotAdjustment *adj, gdouble v);

gdouble gwt_plot_adjustment_device_to_user_distance(GwtPlotAdjustment *adj, gint v);
gint gwt_plot_adjustment_user_to_device_distance(GwtPlotAdjustment *adj, gdouble v);

G_END_DECLS

#endif /* !__GWT_PLOT_ADJUSTMENT_H__ */

