#ifndef __GWT_PLOT_CURVE_H__
#define __GWT_PLOT_CURVE_H__

#include <gtk/gtk.h>
#include <gwt/gwt_plot_item.h>
#include <gwt/gwt_plot_data.h>

G_BEGIN_DECLS

#define GWT_TYPE_PLOT_CURVE		(gwt_plot_curve_get_type ())
#define GWT_PLOT_CURVE(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), GWT_TYPE_PLOT_CURVE, GwtPlotCurve))
#define GWT_PLOT_CURVE_CLASS(obj)	(G_TYPE_CHECK_CLASS_CAST ((obj), GWT_TYPE_PLOT_CURVE, GwtPlotCurveClass))
#define GWT_IS_PLOT_CURVE(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GWT_TYPE_PLOT_CURVE))
#define GWT_IS_PLOT_CURVE_CLASS(obj)	(G_TYPE_CHECK_CLASS_TYPE ((obj), GWT_TYPE_PLOT_CURVE))
#define GWT_PLOT_CURVE_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GWT_TYPE_PLOT_CURVE, GwtPlotCurveClass))

typedef struct _GwtPlotCurve		GwtPlotCurve;
typedef struct _GwtPlotCurveClass	GwtPlotCurveClass;

typedef enum {
	GWT_PLOT_CURVE_STYLE_NONE,
	GWT_PLOT_CURVE_STYLE_FITTED,
	GWT_PLOT_CURVE_STYLE_LINES,
	GWT_PLOT_CURVE_STYLE_STEPS,
	GWT_PLOT_CURVE_STYLE_STICKS,
} GwtPlotCurveStyle;

typedef enum {
	GWT_PLOT_CURVE_SYMBOL_NONE,
	GWT_PLOT_CURVE_SYMBOL_CROSS,
	GWT_PLOT_CURVE_SYMBOL_XCROSS,
	GWT_PLOT_CURVE_SYMBOL_DOT,
	GWT_PLOT_CURVE_SYMBOL_SQUARE,
	GWT_PLOT_CURVE_SYMBOL_DIAMOND,
} GwtPlotCurveSymbol;

typedef enum {
	GWT_PLOT_CURVE_LINE_STYLE_NORMAL,
	GWT_PLOT_CURVE_LINE_STYLE_DOT,
	GWT_PLOT_CURVE_LINE_STYLE_DOT_DASH,
	GWT_PLOT_CURVE_LINE_STYLE_DASH,
} GwtPlotCurveLineStyle;

struct _GwtPlotCurve 
{
	GwtPlotItem parent;

	/* < private > */
};

struct _GwtPlotCurveClass 
{
	GwtPlotItemClass parent_class;
};

GType   gwt_plot_curve_get_type (void) G_GNUC_CONST;
GtkObject *gwt_plot_curve_new (void);

void gwt_plot_curve_set_data (GwtPlotCurve *curve, GwtPlotData* data);
void gwt_plot_curve_set_style(GwtPlotCurve *curve, GwtPlotCurveStyle style);
void gwt_plot_curve_set_symbol(GwtPlotCurve *curve, GwtPlotCurveSymbol symbol);
void gwt_plot_curve_set_line_style(GwtPlotCurve *curve, GwtPlotCurveLineStyle line_style);

G_END_DECLS

#endif /* !__GWT_PLOT_CURVE_H__ */

