#ifndef __GWT_PLOT_DATA_H__
#define __GWT_PLOT_DATA_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GWT_TYPE_PLOT_DATA		(gwt_plot_data_get_type ())
#define GWT_PLOT_DATA(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), GWT_TYPE_PLOT_DATA, GwtPlotData))
#define GWT_PLOT_DATA_CLASS(obj)	(G_TYPE_CHECK_CLASS_CAST ((obj), GWT_TYPE_PLOT_DATA, GwtPlotDataClass))
#define GWT_IS_PLOT_DATA(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GWT_TYPE_PLOT_DATA))
#define GWT_IS_PLOT_DATA_CLASS(obj)	(G_TYPE_CHECK_CLASS_TYPE ((obj), GWT_TYPE_PLOT_DATA))
#define GWT_PLOT_DATA_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GWT_TYPE_PLOT_DATA, GwtPlotDataClass))

typedef struct _GwtPlotDataPoint 	GwtPlotDataPoint;
typedef struct _GwtPlotData		GwtPlotData;
typedef struct _GwtPlotDataClass	GwtPlotDataClass;

struct _GwtPlotDataPoint 
{
	gdouble x;
	gdouble y;
};

struct _GwtPlotData 
{
	GtkObject parent;

	/* < private > */
};

struct _GwtPlotDataClass 
{
	GtkObjectClass parent_class;

	void (* changed)	(GwtPlotData *data);
	void (* value_changed)	(GwtPlotData *data, double x, double y);
};


GType   gwt_plot_data_get_type (void) G_GNUC_CONST;
GtkObject *gwt_plot_data_new (void);

void gwt_plot_data_insert( GwtPlotData* data, GwtPlotDataPoint* data_point);
void gwt_plot_data_remove( GwtPlotData* data, guint index);
void gwt_plot_data_remove_all (GwtPlotData* data);
void gwt_plot_data_remove_range (GwtPlotData* data, guint index, guint count);
gint gwt_plot_data_get (GwtPlotData* data, guint index, GwtPlotDataPoint* data_point);
gint gwt_plot_data_find ( GwtPlotData* data, gdouble x, GwtPlotDataPoint* data_point);
gint gwt_plot_data_find_smaller ( GwtPlotData* data, gdouble x, GwtPlotDataPoint* data_point);
gint gwt_plot_data_find_larger ( GwtPlotData* data, gdouble x, GwtPlotDataPoint* data_point);

void gwt_plot_data_find_min_max_x( GwtPlotData* data, gdouble* min_x, gdouble* max_x);
void gwt_plot_data_find_min_max_y( GwtPlotData* data, gdouble start_x, gdouble end_x, GwtPlotDataPoint* min_y, GwtPlotDataPoint* max_y);

G_END_DECLS

#endif /* !__GWT_PLOT_DATA_H__ */

