#ifndef __GWT_PLOT_ITEM_H__
#define __GWT_PLOT_ITEM_H__

#include <gtk/gtk.h>
#include <gwt/gwt_plot_adjustment.h>

G_BEGIN_DECLS

#define GWT_TYPE_PLOT_ITEM		(gwt_plot_item_get_type ())
#define GWT_PLOT_ITEM(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), GWT_TYPE_PLOT_ITEM, GwtPlotItem))
#define GWT_PLOT_ITEM_CLASS(obj)	(G_TYPE_CHECK_CLASS_CAST ((obj), GWT_TYPE_PLOT_ITEM, GwtPlotItemClass))
#define GWT_IS_PLOT_ITEM(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GWT_TYPE_PLOT_ITEM))
#define GWT_IS_PLOT_ITEM_CLASS(obj)	(G_TYPE_CHECK_CLASS_TYPE ((obj), GWT_TYPE_PLOT_ITEM))
#define GWT_PLOT_ITEM_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GWT_TYPE_PLOT_ITEM, GwtPlotItemClass))

typedef struct _GwtPlotItem		GwtPlotItem;
typedef struct _GwtPlotItemClass	GwtPlotItemClass;

struct _GwtPlotItem 
{
	GtkObject parent;

	/* < private > */
	gdouble color[4];
	gboolean is_visible;
};

struct _GwtPlotItemClass 
{
	GtkObjectClass parent_class;

	/* public virtual functions */
	void (* draw) (GwtPlotItem *item, cairo_t *cr, int w, int h);

	/* signals */
	void (* changed)	(GwtPlotItem *item);
};


GType   gwt_plot_item_get_type (void) G_GNUC_CONST;
GtkObject *gwt_plot_item_new (void);

void gwt_plot_item_set_x_adjustment (GwtPlotItem* item, GwtPlotAdjustment* adj);
GwtPlotAdjustment* gwt_plot_item_get_x_adjustment(GwtPlotItem* item);

void gwt_plot_item_set_y_adjustment (GwtPlotItem* item, GwtPlotAdjustment* adj);
GwtPlotAdjustment* gwt_plot_item_get_y_adjustment(GwtPlotItem* item);

void gwt_plot_item_set_rgba (GwtPlotItem *item, gdouble r, gdouble g, gdouble b, gdouble a);
void gwt_plot_item_set_color (GwtPlotItem *item, GdkColor* color);

void gwt_plot_item_show(GwtPlotItem *item);

void gwt_plot_item_hide(GwtPlotItem *item);

void gwt_plot_item_emit_changed(GwtPlotItem* item);

/* public virtual functions */
void gwt_plot_item_draw( GwtPlotItem* item, cairo_t *cr, int w, int h);

G_END_DECLS

#endif /* !__GWT_PLOT_ITEM_H__ */

