#ifndef __GWT_PLOT_SCALE_H__
#define __GWT_PLOT_SCALE_H__

#include <gtk/gtk.h>
#include <gwt/gwt.h>

G_BEGIN_DECLS

#define GWT_TYPE_PLOT_SCALE		(gwt_plot_scale_get_type ())
#define GWT_PLOT_SCALE(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), GWT_TYPE_PLOT_SCALE, GwtPlotScale))
#define GWT_PLOT_SCALE_CLASS(obj)	(G_TYPE_CHECK_CLASS_CAST ((obj), GWT_TYPE_PLOT_SCALE, GwtPlotScaleClass))
#define GWT_IS_PLOT_SCALE(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GWT_TYPE_PLOT_SCALE))
#define GWT_IS_PLOT_SCALE_CLASS(obj)	(G_TYPE_CHECK_CLASS_TYPE ((obj), GWT_TYPE_PLOT_SCALE))
#define GWT_PLOT_SCALE_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GWT_TYPE_PLOT_SCALE, GwtPlotScaleClass))

typedef struct _GwtPlotScale		GwtPlotScale;
typedef struct _GwtPlotScaleClass	GwtPlotScaleClass;

typedef gint (*GwtFormatCallback)(GwtPlotScale*, gdouble, char*, guint);

typedef enum {
	GWT_PLOT_SCALE_TOP,
	GWT_PLOT_SCALE_BOTTOM,
	GWT_PLOT_SCALE_LEFT,
	GWT_PLOT_SCALE_RIGHT,
} GwtPlotScaleType;

struct _GwtPlotScale 
{
	GtkDrawingArea parent;

	/* < private > */
};

struct _GwtPlotScaleClass 
{
	GtkDrawingAreaClass parent_class;
};


GType   gwt_plot_scale_get_type (void) G_GNUC_CONST;
GtkWidget *gwt_plot_scale_new (void);

void gwt_plot_scale_set_adjustment (GwtPlotScale* scale, GwtPlotAdjustment* adj);
GwtPlotAdjustment* gwt_plot_scale_get_adjustment(GwtPlotScale* scale);

void gwt_plot_scale_set_format_callback(GwtPlotScale* scale, GwtFormatCallback cb);

void gwt_plot_scale_set_type(GwtPlotScale* scale, GwtPlotScaleType type);
void gwt_plot_scale_set_label(GwtPlotScale* widget, const char* label);
void gwt_plot_scale_set_label_rgb(GwtPlotScale* widget, gdouble r, gdouble g, gdouble b);

G_END_DECLS

#endif /* !__GWT_PLOT_SCALE_H__ */

